%define upstream_name Devel-ptkdb
%define upstream_version 1.1091

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	%mkrel 8
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl debugger using a Tk GUI
Source0:	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz
Url:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires:	perl(Tk)
BuildRequires:	perl-devel

Requires:	perl-Tk

BuildArch:	noarch

%description
Perl debugger using a Tk GUI.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
yes | %__perl Makefile.PL -n INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1091-8.mga6
+ Revision: 1025582
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.1091-7.mga6
+ Revision: 938313
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1091-6.mga5
+ Revision: 750524
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1091-5.mga5
+ Revision: 684347
- Mageia 5 Mass Rebuild

* Wed Apr 23 2014 barjac <barjac> 1.1091-4.mga5
+ Revision: 617535
- requires perl-Tk

* Tue Oct 22 2013 umeabot <umeabot> 1.1091-3.mga4
+ Revision: 542283
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.1091-2.mga4
+ Revision: 497209
- Refactor spec

* Mon Feb 04 2013 pterjan <pterjan> 1.1091-2.mga3
+ Revision: 394567
- Fix ownership of standard dirs

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 jquelin <jquelin> 1.1091-1.mga1
+ Revision: 2469
- imported package perl-Devel-ptkdb

